pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (langkit_supportmain, Spec_File_Name => "b__langkit_support.ads");
pragma Source_File_Name (langkit_supportmain, Body_File_Name => "b__langkit_support.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body langkit_supportmain is

   E153 : Short_Integer; pragma Import (Ada, E153, "system__os_lib_E");
   E100 : Short_Integer; pragma Import (Ada, E100, "ada__exceptions_E");
   E096 : Short_Integer; pragma Import (Ada, E096, "system__soft_links_E");
   E094 : Short_Integer; pragma Import (Ada, E094, "system__exception_table_E");
   E119 : Short_Integer; pragma Import (Ada, E119, "ada__containers_E");
   E148 : Short_Integer; pragma Import (Ada, E148, "ada__io_exceptions_E");
   E109 : Short_Integer; pragma Import (Ada, E109, "ada__numerics_E");
   E091 : Short_Integer; pragma Import (Ada, E091, "ada__strings_E");
   E137 : Short_Integer; pragma Import (Ada, E137, "ada__strings__maps_E");
   E140 : Short_Integer; pragma Import (Ada, E140, "ada__strings__maps__constants_E");
   E124 : Short_Integer; pragma Import (Ada, E124, "interfaces__c_E");
   E103 : Short_Integer; pragma Import (Ada, E103, "system__exceptions_E");
   E164 : Short_Integer; pragma Import (Ada, E164, "system__object_reader_E");
   E131 : Short_Integer; pragma Import (Ada, E131, "system__dwarf_lines_E");
   E183 : Short_Integer; pragma Import (Ada, E183, "system__soft_links__initialize_E");
   E118 : Short_Integer; pragma Import (Ada, E118, "system__traceback__symbolic_E");
   E219 : Short_Integer; pragma Import (Ada, E219, "ada__assertions_E");
   E187 : Short_Integer; pragma Import (Ada, E187, "ada__strings__utf_encoding_E");
   E195 : Short_Integer; pragma Import (Ada, E195, "ada__tags_E");
   E090 : Short_Integer; pragma Import (Ada, E090, "ada__strings__text_buffers_E");
   E258 : Short_Integer; pragma Import (Ada, E258, "gnat_E");
   E312 : Short_Integer; pragma Import (Ada, E312, "interfaces__c__strings_E");
   E505 : Short_Integer; pragma Import (Ada, E505, "system__aux_dec_E");
   E203 : Short_Integer; pragma Import (Ada, E203, "ada__streams_E");
   E215 : Short_Integer; pragma Import (Ada, E215, "system__file_control_block_E");
   E214 : Short_Integer; pragma Import (Ada, E214, "system__finalization_root_E");
   E212 : Short_Integer; pragma Import (Ada, E212, "ada__finalization_E");
   E211 : Short_Integer; pragma Import (Ada, E211, "system__file_io_E");
   E275 : Short_Integer; pragma Import (Ada, E275, "system__storage_pools_E");
   E277 : Short_Integer; pragma Import (Ada, E277, "system__finalization_masters_E");
   E297 : Short_Integer; pragma Import (Ada, E297, "system__storage_pools__subpools_E");
   E229 : Short_Integer; pragma Import (Ada, E229, "ada__strings__unbounded_E");
   E598 : Short_Integer; pragma Import (Ada, E598, "ada__strings__wide_wide_maps_E");
   E594 : Short_Integer; pragma Import (Ada, E594, "ada__strings__wide_wide_unbounded_E");
   E419 : Short_Integer; pragma Import (Ada, E419, "system__task_info_E");
   E326 : Short_Integer; pragma Import (Ada, E326, "system__regpat_E");
   E221 : Short_Integer; pragma Import (Ada, E221, "ada__calendar_E");
   E432 : Short_Integer; pragma Import (Ada, E432, "ada__calendar__delays_E");
   E305 : Short_Integer; pragma Import (Ada, E305, "ada__calendar__time_zones_E");
   E201 : Short_Integer; pragma Import (Ada, E201, "ada__text_io_E");
   E427 : Short_Integer; pragma Import (Ada, E427, "gnat__byte_order_mark_E");
   E316 : Short_Integer; pragma Import (Ada, E316, "gnat__calendar_E");
   E381 : Short_Integer; pragma Import (Ada, E381, "gnat__directory_operations_E");
   E343 : Short_Integer; pragma Import (Ada, E343, "system__checked_pools_E");
   E413 : Short_Integer; pragma Import (Ada, E413, "system__task_primitives__operations_E");
   E319 : Short_Integer; pragma Import (Ada, E319, "gnat__calendar__time_io_E");
   E332 : Short_Integer; pragma Import (Ada, E332, "gnat__debug_pools_E");
   E279 : Short_Integer; pragma Import (Ada, E279, "system__pool_global_E");
   E363 : Short_Integer; pragma Import (Ada, E363, "gnat__expect_E");
   E405 : Short_Integer; pragma Import (Ada, E405, "system__random_seed_E");
   E392 : Short_Integer; pragma Import (Ada, E392, "system__regexp_E");
   E385 : Short_Integer; pragma Import (Ada, E385, "ada__directories_E");
   E491 : Short_Integer; pragma Import (Ada, E491, "system__tasking__initialization_E");
   E479 : Short_Integer; pragma Import (Ada, E479, "system__tasking__protected_objects_E");
   E495 : Short_Integer; pragma Import (Ada, E495, "system__tasking__protected_objects__entries_E");
   E497 : Short_Integer; pragma Import (Ada, E497, "system__tasking__queuing_E");
   E503 : Short_Integer; pragma Import (Ada, E503, "gnat__semaphores_E");
   E440 : Short_Integer; pragma Import (Ada, E440, "gnatcoll__gmp__integers_E");
   E030 : Short_Integer; pragma Import (Ada, E030, "langkit_support__errors_E");
   E518 : Short_Integer; pragma Import (Ada, E518, "vss_E");
   E584 : Short_Integer; pragma Import (Ada, E584, "vss__locales_E");
   E529 : Short_Integer; pragma Import (Ada, E529, "vss__stream_element_vectors_E");
   E523 : Short_Integer; pragma Import (Ada, E523, "vss__implementation__strings_E");
   E541 : Short_Integer; pragma Import (Ada, E541, "vss__implementation__referrers_E");
   E532 : Short_Integer; pragma Import (Ada, E532, "vss__strings_E");
   E525 : Short_Integer; pragma Import (Ada, E525, "vss__implementation__text_handlers_E");
   E570 : Short_Integer; pragma Import (Ada, E570, "vss__implementation__text_handlers__nul_E");
   E575 : Short_Integer; pragma Import (Ada, E575, "vss__implementation__text_handlers__utf8__dynamic_E");
   E577 : Short_Integer; pragma Import (Ada, E577, "vss__implementation__text_handlers__utf8__static_E");
   E543 : Short_Integer; pragma Import (Ada, E543, "vss__string_vectors_E");
   E549 : Short_Integer; pragma Import (Ada, E549, "vss__strings__cursors_E");
   E556 : Short_Integer; pragma Import (Ada, E556, "vss__strings__cursors__iterators_E");
   E560 : Short_Integer; pragma Import (Ada, E560, "vss__strings__cursors__iterators__grapheme_clusters_E");
   E563 : Short_Integer; pragma Import (Ada, E563, "vss__strings__cursors__iterators__lines_E");
   E567 : Short_Integer; pragma Import (Ada, E567, "vss__strings__cursors__iterators__words_E");
   E551 : Short_Integer; pragma Import (Ada, E551, "vss__strings__cursors__markers_E");
   E558 : Short_Integer; pragma Import (Ada, E558, "vss__strings__cursors__iterators__characters_E");
   E568 : Short_Integer; pragma Import (Ada, E568, "vss__transformers_E");
   E245 : Short_Integer; pragma Import (Ada, E245, "adasat_E");
   E254 : Short_Integer; pragma Import (Ada, E254, "adasat__decisions_E");
   E251 : Short_Integer; pragma Import (Ada, E251, "adasat__vectors_E");
   E249 : Short_Integer; pragma Import (Ada, E249, "adasat__formulas_E");
   E252 : Short_Integer; pragma Import (Ada, E252, "adasat__internals_E");
   E247 : Short_Integer; pragma Import (Ada, E247, "adasat__builders_E");
   E256 : Short_Integer; pragma Import (Ada, E256, "adasat__dpll_E");
   E266 : Short_Integer; pragma Import (Ada, E266, "gnatcoll__atomic_E");
   E477 : Short_Integer; pragma Import (Ada, E477, "gnatcoll__locks_E");
   E330 : Short_Integer; pragma Import (Ada, E330, "gnatcoll__memory_E");
   E359 : Short_Integer; pragma Import (Ada, E359, "gnatcoll__os_E");
   E272 : Short_Integer; pragma Import (Ada, E272, "gnatcoll__storage_pools__headers_E");
   E270 : Short_Integer; pragma Import (Ada, E270, "gnatcoll__refcount_E");
   E358 : Short_Integer; pragma Import (Ada, E358, "gnatcoll__string_builders_E");
   E471 : Short_Integer; pragma Import (Ada, E471, "gnatcoll__os__fs_E");
   E466 : Short_Integer; pragma Import (Ada, E466, "gnatcoll__os__stat_E");
   E268 : Short_Integer; pragma Import (Ada, E268, "gnatcoll__strings_impl_E");
   E264 : Short_Integer; pragma Import (Ada, E264, "gnatcoll__strings_E");
   E263 : Short_Integer; pragma Import (Ada, E263, "gnatcoll__strings_E");
   E345 : Short_Integer; pragma Import (Ada, E345, "gnatcoll__mmap_E");
   E347 : Short_Integer; pragma Import (Ada, E347, "gnatcoll__mmap__system_E");
   E464 : Short_Integer; pragma Import (Ada, E464, "gnatcoll__buffer_E");
   E448 : Short_Integer; pragma Import (Ada, E448, "gnatcoll__json_E");
   E450 : Short_Integer; pragma Import (Ada, E450, "gnatcoll__json__utility_E");
   E350 : Short_Integer; pragma Import (Ada, E350, "gnatcoll__templates_E");
   E352 : Short_Integer; pragma Import (Ada, E352, "gnatcoll__terminal_E");
   E354 : Short_Integer; pragma Import (Ada, E354, "gnatcoll__utils_E");
   E376 : Short_Integer; pragma Import (Ada, E376, "gnatcoll__io_E");
   E394 : Short_Integer; pragma Import (Ada, E394, "gnatcoll__path_E");
   E383 : Short_Integer; pragma Import (Ada, E383, "gnatcoll__io__native_E");
   E397 : Short_Integer; pragma Import (Ada, E397, "gnatcoll__remote_E");
   E401 : Short_Integer; pragma Import (Ada, E401, "gnatcoll__remote__db_E");
   E379 : Short_Integer; pragma Import (Ada, E379, "gnatcoll__io__remote_E");
   E396 : Short_Integer; pragma Import (Ada, E396, "gnatcoll__io__remote__unix_E");
   E399 : Short_Integer; pragma Import (Ada, E399, "gnatcoll__io__remote__windows_E");
   E368 : Short_Integer; pragma Import (Ada, E368, "gnatcoll__vfs_E");
   E475 : Short_Integer; pragma Import (Ada, E475, "gnatcoll__opt_parse_E");
   E301 : Short_Integer; pragma Import (Ada, E301, "gnatcoll__traces_E");
   E429 : Short_Integer; pragma Import (Ada, E429, "gnatcoll__iconv_E");
   E015 : Short_Integer; pragma Import (Ada, E015, "langkit_support__adalog_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "langkit_support__adalog__debug_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "langkit_support__adalog__logic_var_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "langkit_support__array_utils_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "langkit_support__boxes_E");
   E044 : Short_Integer; pragma Import (Ada, E044, "langkit_support__hashes_E");
   E046 : Short_Integer; pragma Import (Ada, E046, "langkit_support__images_E");
   E056 : Short_Integer; pragma Import (Ada, E056, "langkit_support__iterators_E");
   E065 : Short_Integer; pragma Import (Ada, E065, "langkit_support__packrat_E");
   E069 : Short_Integer; pragma Import (Ada, E069, "langkit_support__relative_get_E");
   E077 : Short_Integer; pragma Import (Ada, E077, "langkit_support__text_E");
   E063 : Short_Integer; pragma Import (Ada, E063, "langkit_support__names_E");
   E061 : Short_Integer; pragma Import (Ada, E061, "langkit_support__names__maps_E");
   E071 : Short_Integer; pragma Import (Ada, E071, "langkit_support__slocs_E");
   E029 : Short_Integer; pragma Import (Ada, E029, "langkit_support__diagnostics_E");
   E027 : Short_Integer; pragma Import (Ada, E027, "langkit_support__diagnostics__output_E");
   E032 : Short_Integer; pragma Import (Ada, E032, "langkit_support__file_readers_E");
   E084 : Short_Integer; pragma Import (Ada, E084, "langkit_support__vectors_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "langkit_support__adalog__solver_interface_E");
   E012 : Short_Integer; pragma Import (Ada, E012, "langkit_support__adalog__solver_E");
   E010 : Short_Integer; pragma Import (Ada, E010, "langkit_support__adalog__solver__diagnostics_E");
   E004 : Short_Integer; pragma Import (Ada, E004, "langkit_support__adalog__generic_main_support_E");
   E008 : Short_Integer; pragma Import (Ada, E008, "langkit_support__adalog__main_support_E");
   E025 : Short_Integer; pragma Import (Ada, E025, "langkit_support__cheap_sets_E");
   E042 : Short_Integer; pragma Import (Ada, E042, "langkit_support__generic_bump_ptr_E");
   E021 : Short_Integer; pragma Import (Ada, E021, "langkit_support__bump_ptr_E");
   E023 : Short_Integer; pragma Import (Ada, E023, "langkit_support__bump_ptr_vectors_E");
   E075 : Short_Integer; pragma Import (Ada, E075, "langkit_support__symbols_E");
   E057 : Short_Integer; pragma Import (Ada, E057, "langkit_support__lexical_envs_E");
   E059 : Short_Integer; pragma Import (Ada, E059, "langkit_support__lexical_envs_impl_E");
   E073 : Short_Integer; pragma Import (Ada, E073, "langkit_support__symbols__precomputed_E");
   E079 : Short_Integer; pragma Import (Ada, E079, "langkit_support__token_data_handlers_E");
   E040 : Short_Integer; pragma Import (Ada, E040, "langkit_support__generic_api_E");
   E048 : Short_Integer; pragma Import (Ada, E048, "langkit_support__internal__analysis_E");
   E034 : Short_Integer; pragma Import (Ada, E034, "langkit_support__generic_api__analysis_E");
   E036 : Short_Integer; pragma Import (Ada, E036, "langkit_support__generic_api__introspection_E");
   E052 : Short_Integer; pragma Import (Ada, E052, "langkit_support__internal__introspection_E");
   E053 : Short_Integer; pragma Import (Ada, E053, "langkit_support__internal__unparsing_E");
   E081 : Short_Integer; pragma Import (Ada, E081, "langkit_support__tree_traversal_iterator_E");
   E506 : Short_Integer; pragma Import (Ada, E506, "prettier_ada_E");
   E508 : Short_Integer; pragma Import (Ada, E508, "prettier_ada__documents_E");
   E516 : Short_Integer; pragma Import (Ada, E516, "prettier_ada__document_vectors_E");
   E514 : Short_Integer; pragma Import (Ada, E514, "prettier_ada__document_vector_vectors_E");
   E510 : Short_Integer; pragma Import (Ada, E510, "prettier_ada__documents__implementation_E");
   E512 : Short_Integer; pragma Import (Ada, E512, "prettier_ada__documents__builders_E");
   E609 : Short_Integer; pragma Import (Ada, E609, "prettier_ada__documents__json_E");
   E038 : Short_Integer; pragma Import (Ada, E038, "langkit_support__generic_api__unparsing_E");
   E067 : Short_Integer; pragma Import (Ada, E067, "langkit_support__prettier_utils_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "langkit_support__generic_api__unparsing__finalize_body");
      begin
         E038 := E038 - 1;
         if E038 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "langkit_support__prettier_utils__finalize_body");
      begin
         E067 := E067 - 1;
         if E067 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "langkit_support__prettier_utils__finalize_spec");
      begin
         if E067 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "langkit_support__generic_api__unparsing__finalize_spec");
      begin
         if E038 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "prettier_ada__documents__implementation__finalize_body");
      begin
         E510 := E510 - 1;
         if E510 = 0 then
            F5;
         end if;
      end;
      E512 := E512 - 1;
      declare
         procedure F6;
         pragma Import (Ada, F6, "prettier_ada__documents__builders__finalize_spec");
      begin
         if E512 = 0 then
            F6;
         end if;
      end;
      E508 := E508 - 1;
      declare
         procedure F7;
         pragma Import (Ada, F7, "prettier_ada__documents__implementation__finalize_spec");
      begin
         if E510 = 0 then
            F7;
         end if;
      end;
      E514 := E514 - 1;
      declare
         procedure F8;
         pragma Import (Ada, F8, "prettier_ada__document_vector_vectors__finalize_spec");
      begin
         if E514 = 0 then
            F8;
         end if;
      end;
      E516 := E516 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "prettier_ada__document_vectors__finalize_spec");
      begin
         if E516 = 0 then
            F9;
         end if;
      end;
      declare
         procedure F10;
         pragma Import (Ada, F10, "prettier_ada__documents__finalize_spec");
      begin
         if E508 = 0 then
            F10;
         end if;
      end;
      E052 := E052 - 1;
      E048 := E048 - 1;
      E036 := E036 - 1;
      E034 := E034 - 1;
      declare
         procedure F11;
         pragma Import (Ada, F11, "langkit_support__internal__introspection__finalize_spec");
      begin
         if E052 = 0 then
            F11;
         end if;
      end;
      declare
         procedure F12;
         pragma Import (Ada, F12, "langkit_support__generic_api__introspection__finalize_spec");
      begin
         if E036 = 0 then
            F12;
         end if;
      end;
      declare
         procedure F13;
         pragma Import (Ada, F13, "langkit_support__generic_api__analysis__finalize_spec");
      begin
         if E034 = 0 then
            F13;
         end if;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "langkit_support__internal__analysis__finalize_spec");
      begin
         if E048 = 0 then
            F14;
         end if;
      end;
      E079 := E079 - 1;
      declare
         procedure F15;
         pragma Import (Ada, F15, "langkit_support__token_data_handlers__finalize_spec");
      begin
         if E079 = 0 then
            F15;
         end if;
      end;
      declare
         procedure F16;
         pragma Import (Ada, F16, "langkit_support__lexical_envs__finalize_spec");
      begin
         E057 := E057 - 1;
         if E057 = 0 then
            F16;
         end if;
      end;
      E075 := E075 - 1;
      declare
         procedure F17;
         pragma Import (Ada, F17, "langkit_support__symbols__finalize_spec");
      begin
         if E075 = 0 then
            F17;
         end if;
      end;
      E021 := E021 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "langkit_support__bump_ptr__finalize_spec");
      begin
         if E021 = 0 then
            F18;
         end if;
      end;
      E008 := E008 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "langkit_support__adalog__main_support__finalize_spec");
      begin
         if E008 = 0 then
            F19;
         end if;
      end;
      E032 := E032 - 1;
      declare
         procedure F20;
         pragma Import (Ada, F20, "langkit_support__file_readers__finalize_spec");
      begin
         if E032 = 0 then
            F20;
         end if;
      end;
      E029 := E029 - 1;
      declare
         procedure F21;
         pragma Import (Ada, F21, "langkit_support__diagnostics__finalize_spec");
      begin
         if E029 = 0 then
            F21;
         end if;
      end;
      declare
         procedure F22;
         pragma Import (Ada, F22, "gnatcoll__traces__finalize_body");
      begin
         E301 := E301 - 1;
         if E301 = 0 then
            F22;
         end if;
      end;
      declare
         procedure F23;
         pragma Import (Ada, F23, "gnatcoll__traces__finalize_spec");
      begin
         if E301 = 0 then
            F23;
         end if;
      end;
      declare
         procedure F24;
         pragma Import (Ada, F24, "gnatcoll__opt_parse__finalize_body");
      begin
         E475 := E475 - 1;
         if E475 = 0 then
            F24;
         end if;
      end;
      declare
         procedure F25;
         pragma Import (Ada, F25, "gnatcoll__opt_parse__finalize_spec");
      begin
         if E475 = 0 then
            F25;
         end if;
      end;
      E368 := E368 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "gnatcoll__vfs__finalize_spec");
      begin
         if E368 = 0 then
            F26;
         end if;
      end;
      E379 := E379 - 1;
      declare
         procedure F27;
         pragma Import (Ada, F27, "gnatcoll__io__remote__finalize_spec");
      begin
         if E379 = 0 then
            F27;
         end if;
      end;
      declare
         procedure F28;
         pragma Import (Ada, F28, "gnatcoll__remote__finalize_spec");
      begin
         E397 := E397 - 1;
         if E397 = 0 then
            F28;
         end if;
      end;
      E383 := E383 - 1;
      declare
         procedure F29;
         pragma Import (Ada, F29, "gnatcoll__io__native__finalize_spec");
      begin
         if E383 = 0 then
            F29;
         end if;
      end;
      E376 := E376 - 1;
      declare
         procedure F30;
         pragma Import (Ada, F30, "gnatcoll__io__finalize_spec");
      begin
         if E376 = 0 then
            F30;
         end if;
      end;
      E352 := E352 - 1;
      declare
         procedure F31;
         pragma Import (Ada, F31, "gnatcoll__terminal__finalize_spec");
      begin
         if E352 = 0 then
            F31;
         end if;
      end;
      E448 := E448 - 1;
      declare
         procedure F32;
         pragma Import (Ada, F32, "gnatcoll__json__finalize_spec");
      begin
         if E448 = 0 then
            F32;
         end if;
      end;
      E464 := E464 - 1;
      declare
         procedure F33;
         pragma Import (Ada, F33, "gnatcoll__buffer__finalize_spec");
      begin
         if E464 = 0 then
            F33;
         end if;
      end;
      E264 := E264 - 1;
      declare
         procedure F34;
         pragma Import (Ada, F34, "gnatcoll__strings__finalize_spec");
      begin
         if E264 = 0 then
            F34;
         end if;
      end;
      E270 := E270 - 1;
      declare
         procedure F35;
         pragma Import (Ada, F35, "gnatcoll__refcount__finalize_spec");
      begin
         if E270 = 0 then
            F35;
         end if;
      end;
      declare
         procedure F36;
         pragma Import (Ada, F36, "gnatcoll__memory__finalize_body");
      begin
         E330 := E330 - 1;
         if E330 = 0 then
            F36;
         end if;
      end;
      E477 := E477 - 1;
      declare
         procedure F37;
         pragma Import (Ada, F37, "gnatcoll__locks__finalize_spec");
      begin
         if E477 = 0 then
            F37;
         end if;
      end;
      E247 := E247 - 1;
      declare
         procedure F38;
         pragma Import (Ada, F38, "adasat__builders__finalize_spec");
      begin
         if E247 = 0 then
            F38;
         end if;
      end;
      declare
         procedure F39;
         pragma Import (Ada, F39, "adasat__internals__finalize_spec");
      begin
         E252 := E252 - 1;
         if E252 = 0 then
            F39;
         end if;
      end;
      E249 := E249 - 1;
      declare
         procedure F40;
         pragma Import (Ada, F40, "adasat__formulas__finalize_spec");
      begin
         if E249 = 0 then
            F40;
         end if;
      end;
      E567 := E567 - 1;
      E563 := E563 - 1;
      E560 := E560 - 1;
      E532 := E532 - 1;
      E543 := E543 - 1;
      E575 := E575 - 1;
      E570 := E570 - 1;
      declare
         procedure F41;
         pragma Import (Ada, F41, "vss__implementation__strings__finalize_body");
      begin
         E523 := E523 - 1;
         if E523 = 0 then
            F41;
         end if;
      end;
      E541 := E541 - 1;
      E558 := E558 - 1;
      declare
         procedure F42;
         pragma Import (Ada, F42, "vss__strings__cursors__iterators__characters__finalize_spec");
      begin
         if E558 = 0 then
            F42;
         end if;
      end;
      E551 := E551 - 1;
      declare
         procedure F43;
         pragma Import (Ada, F43, "vss__strings__cursors__markers__finalize_spec");
      begin
         if E551 = 0 then
            F43;
         end if;
      end;
      declare
         procedure F44;
         pragma Import (Ada, F44, "vss__strings__cursors__iterators__words__finalize_spec");
      begin
         if E567 = 0 then
            F44;
         end if;
      end;
      declare
         procedure F45;
         pragma Import (Ada, F45, "vss__strings__cursors__iterators__lines__finalize_spec");
      begin
         if E563 = 0 then
            F45;
         end if;
      end;
      declare
         procedure F46;
         pragma Import (Ada, F46, "vss__strings__cursors__iterators__grapheme_clusters__finalize_spec");
      begin
         if E560 = 0 then
            F46;
         end if;
      end;
      declare
         procedure F47;
         pragma Import (Ada, F47, "vss__string_vectors__finalize_spec");
      begin
         if E543 = 0 then
            F47;
         end if;
      end;
      E577 := E577 - 1;
      declare
         procedure F48;
         pragma Import (Ada, F48, "vss__implementation__text_handlers__utf8__static__finalize_spec");
      begin
         if E577 = 0 then
            F48;
         end if;
      end;
      declare
         procedure F49;
         pragma Import (Ada, F49, "vss__implementation__text_handlers__utf8__dynamic__finalize_spec");
      begin
         if E575 = 0 then
            F49;
         end if;
      end;
      declare
         procedure F50;
         pragma Import (Ada, F50, "vss__implementation__text_handlers__nul__finalize_spec");
      begin
         if E570 = 0 then
            F50;
         end if;
      end;
      declare
         procedure F51;
         pragma Import (Ada, F51, "vss__strings__finalize_spec");
      begin
         if E532 = 0 then
            F51;
         end if;
      end;
      declare
         procedure F52;
         pragma Import (Ada, F52, "vss__implementation__referrers__finalize_spec");
      begin
         if E541 = 0 then
            F52;
         end if;
      end;
      declare
         procedure F53;
         pragma Import (Ada, F53, "vss__implementation__strings__finalize_spec");
      begin
         if E523 = 0 then
            F53;
         end if;
      end;
      E529 := E529 - 1;
      declare
         procedure F54;
         pragma Import (Ada, F54, "vss__stream_element_vectors__finalize_spec");
      begin
         if E529 = 0 then
            F54;
         end if;
      end;
      E584 := E584 - 1;
      declare
         procedure F55;
         pragma Import (Ada, F55, "vss__locales__finalize_spec");
      begin
         if E584 = 0 then
            F55;
         end if;
      end;
      E440 := E440 - 1;
      declare
         procedure F56;
         pragma Import (Ada, F56, "gnatcoll__gmp__integers__finalize_spec");
      begin
         if E440 = 0 then
            F56;
         end if;
      end;
      E495 := E495 - 1;
      declare
         procedure F57;
         pragma Import (Ada, F57, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E495 = 0 then
            F57;
         end if;
      end;
      declare
         procedure F58;
         pragma Import (Ada, F58, "ada__directories__finalize_body");
      begin
         E385 := E385 - 1;
         if E385 = 0 then
            F58;
         end if;
      end;
      declare
         procedure F59;
         pragma Import (Ada, F59, "ada__directories__finalize_spec");
      begin
         if E385 = 0 then
            F59;
         end if;
      end;
      E392 := E392 - 1;
      declare
         procedure F60;
         pragma Import (Ada, F60, "system__regexp__finalize_spec");
      begin
         if E392 = 0 then
            F60;
         end if;
      end;
      E363 := E363 - 1;
      declare
         procedure F61;
         pragma Import (Ada, F61, "gnat__expect__finalize_spec");
      begin
         if E363 = 0 then
            F61;
         end if;
      end;
      E279 := E279 - 1;
      declare
         procedure F62;
         pragma Import (Ada, F62, "system__pool_global__finalize_spec");
      begin
         if E279 = 0 then
            F62;
         end if;
      end;
      declare
         procedure F63;
         pragma Import (Ada, F63, "gnat__debug_pools__finalize_body");
      begin
         E332 := E332 - 1;
         if E332 = 0 then
            F63;
         end if;
      end;
      declare
         procedure F64;
         pragma Import (Ada, F64, "gnat__debug_pools__finalize_spec");
      begin
         if E332 = 0 then
            F64;
         end if;
      end;
      E201 := E201 - 1;
      declare
         procedure F65;
         pragma Import (Ada, F65, "ada__text_io__finalize_spec");
      begin
         if E201 = 0 then
            F65;
         end if;
      end;
      E594 := E594 - 1;
      declare
         procedure F66;
         pragma Import (Ada, F66, "ada__strings__wide_wide_unbounded__finalize_spec");
      begin
         if E594 = 0 then
            F66;
         end if;
      end;
      E598 := E598 - 1;
      declare
         procedure F67;
         pragma Import (Ada, F67, "ada__strings__wide_wide_maps__finalize_spec");
      begin
         if E598 = 0 then
            F67;
         end if;
      end;
      E229 := E229 - 1;
      declare
         procedure F68;
         pragma Import (Ada, F68, "ada__strings__unbounded__finalize_spec");
      begin
         if E229 = 0 then
            F68;
         end if;
      end;
      E297 := E297 - 1;
      declare
         procedure F69;
         pragma Import (Ada, F69, "system__storage_pools__subpools__finalize_spec");
      begin
         if E297 = 0 then
            F69;
         end if;
      end;
      E277 := E277 - 1;
      declare
         procedure F70;
         pragma Import (Ada, F70, "system__finalization_masters__finalize_spec");
      begin
         if E277 = 0 then
            F70;
         end if;
      end;
      declare
         procedure F71;
         pragma Import (Ada, F71, "system__file_io__finalize_body");
      begin
         E211 := E211 - 1;
         if E211 = 0 then
            F71;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure langkit_supportfinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      finalize_library;
   end langkit_supportfinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure langkit_supportinit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Exception_Tracebacks : Integer;
      pragma Import (C, Exception_Tracebacks, "__gl_exception_tracebacks");
      Exception_Tracebacks_Symbolic : Integer;
      pragma Import (C, Exception_Tracebacks_Symbolic, "__gl_exception_tracebacks_symbolic");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, True, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, False, False, True, False, False, True, True, 
           False, True, True, False, True, True, True, True, 
           False, True, False, False, False, True, True, False, 
           True, True, False, True, True, True, True, False, 
           True, False, True, False, False, False, True, False, 
           True, False, False, False, False, False, False, False, 
           False, False, False, True, True, True, True, False, 
           True, False, True, True, True, False, True, True, 
           False, True, True, True, True, False, False, False, 
           True, False, False, False, False, True, False, False, 
           False, False, True, False),
         Count => (0, 0, 0, 1, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Exception_Tracebacks := 1;
      Exception_Tracebacks_Symbolic := 1;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;

      langkit_supportmain'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      if E100 = 0 then
         Ada.Exceptions'Elab_Spec;
      end if;
      if E096 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E094 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E094 := E094 + 1;
      if E119 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E119 := E119 + 1;
      if E148 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E148 := E148 + 1;
      if E109 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E109 := E109 + 1;
      if E091 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E091 := E091 + 1;
      if E137 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      E137 := E137 + 1;
      if E140 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E140 := E140 + 1;
      if E124 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E124 := E124 + 1;
      if E103 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E103 := E103 + 1;
      if E164 = 0 then
         System.Object_Reader'Elab_Spec;
      end if;
      E164 := E164 + 1;
      if E131 = 0 then
         System.Dwarf_Lines'Elab_Spec;
      end if;
      E131 := E131 + 1;
      if E153 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E153 := E153 + 1;
      if E183 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E183 := E183 + 1;
      E096 := E096 + 1;
      if E118 = 0 then
         System.Traceback.Symbolic'Elab_Body;
      end if;
      E118 := E118 + 1;
      E100 := E100 + 1;
      if E219 = 0 then
         Ada.Assertions'Elab_Spec;
      end if;
      E219 := E219 + 1;
      if E187 = 0 then
         Ada.Strings.Utf_Encoding'Elab_Spec;
      end if;
      E187 := E187 + 1;
      if E195 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E195 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E195 := E195 + 1;
      if E090 = 0 then
         Ada.Strings.Text_Buffers'Elab_Spec;
      end if;
      E090 := E090 + 1;
      if E258 = 0 then
         Gnat'Elab_Spec;
      end if;
      E258 := E258 + 1;
      if E312 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E312 := E312 + 1;
      if E505 = 0 then
         System.Aux_Dec'Elab_Spec;
      end if;
      E505 := E505 + 1;
      if E203 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E203 := E203 + 1;
      if E215 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E215 := E215 + 1;
      if E214 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E214 := E214 + 1;
      if E212 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E212 := E212 + 1;
      if E211 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E211 := E211 + 1;
      if E275 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E275 := E275 + 1;
      if E277 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E277 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E277 := E277 + 1;
      if E297 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E297 := E297 + 1;
      if E229 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E229 := E229 + 1;
      if E598 = 0 then
         Ada.Strings.Wide_Wide_Maps'Elab_Spec;
      end if;
      E598 := E598 + 1;
      if E594 = 0 then
         Ada.Strings.Wide_Wide_Unbounded'Elab_Spec;
      end if;
      E594 := E594 + 1;
      if E419 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E419 := E419 + 1;
      if E326 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E326 := E326 + 1;
      if E221 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E221 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E221 := E221 + 1;
      if E432 = 0 then
         Ada.Calendar.Delays'Elab_Body;
      end if;
      E432 := E432 + 1;
      if E305 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E305 := E305 + 1;
      if E201 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E201 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E201 := E201 + 1;
      E427 := E427 + 1;
      if E316 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E316 := E316 + 1;
      if E381 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E381 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E381 := E381 + 1;
      if E343 = 0 then
         System.Checked_Pools'Elab_Spec;
      end if;
      E343 := E343 + 1;
      if E413 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E413 := E413 + 1;
      if E319 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E319 := E319 + 1;
      if E332 = 0 then
         Gnat.Debug_Pools'Elab_Spec;
      end if;
      if E332 = 0 then
         Gnat.Debug_Pools'Elab_Body;
      end if;
      E332 := E332 + 1;
      if E279 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E279 := E279 + 1;
      if E363 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E363 := E363 + 1;
      if E405 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E405 := E405 + 1;
      if E392 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E392 := E392 + 1;
      if E385 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E385 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E385 := E385 + 1;
      if E491 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E491 := E491 + 1;
      if E479 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E479 := E479 + 1;
      if E495 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E495 := E495 + 1;
      if E497 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E497 := E497 + 1;
      E503 := E503 + 1;
      if E440 = 0 then
         GNATCOLL.GMP.INTEGERS'ELAB_SPEC;
      end if;
      E440 := E440 + 1;
      if E030 = 0 then
         Langkit_Support.Errors'Elab_Spec;
      end if;
      E030 := E030 + 1;
      if E518 = 0 then
         VSS'ELAB_SPEC;
      end if;
      E518 := E518 + 1;
      if E584 = 0 then
         VSS.LOCALES'ELAB_SPEC;
      end if;
      E584 := E584 + 1;
      if E529 = 0 then
         VSS.STREAM_ELEMENT_VECTORS'ELAB_SPEC;
      end if;
      E529 := E529 + 1;
      if E523 = 0 then
         VSS.IMPLEMENTATION.STRINGS'ELAB_SPEC;
      end if;
      if E541 = 0 then
         VSS.IMPLEMENTATION.REFERRERS'ELAB_SPEC;
      end if;
      if E532 = 0 then
         VSS.STRINGS'ELAB_SPEC;
      end if;
      if E525 = 0 then
         VSS.IMPLEMENTATION.TEXT_HANDLERS'ELAB_SPEC;
      end if;
      E525 := E525 + 1;
      if E570 = 0 then
         VSS.IMPLEMENTATION.TEXT_HANDLERS.NUL'ELAB_SPEC;
      end if;
      if E575 = 0 then
         VSS.IMPLEMENTATION.TEXT_HANDLERS.UTF8.DYNAMIC'ELAB_SPEC;
      end if;
      if E577 = 0 then
         VSS.IMPLEMENTATION.TEXT_HANDLERS.UTF8.STATIC'ELAB_SPEC;
      end if;
      E577 := E577 + 1;
      if E543 = 0 then
         VSS.STRING_VECTORS'ELAB_SPEC;
      end if;
      if E549 = 0 then
         VSS.STRINGS.CURSORS'ELAB_SPEC;
      end if;
      if E556 = 0 then
         VSS.STRINGS.CURSORS.ITERATORS'ELAB_SPEC;
      end if;
      E556 := E556 + 1;
      if E560 = 0 then
         VSS.STRINGS.CURSORS.ITERATORS.GRAPHEME_CLUSTERS'ELAB_SPEC;
      end if;
      if E563 = 0 then
         VSS.STRINGS.CURSORS.ITERATORS.LINES'ELAB_SPEC;
      end if;
      if E567 = 0 then
         VSS.STRINGS.CURSORS.ITERATORS.WORDS'ELAB_SPEC;
      end if;
      if E551 = 0 then
         VSS.STRINGS.CURSORS.MARKERS'ELAB_SPEC;
      end if;
      E551 := E551 + 1;
      if E558 = 0 then
         VSS.STRINGS.CURSORS.ITERATORS.CHARACTERS'ELAB_SPEC;
      end if;
      E558 := E558 + 1;
      if E568 = 0 then
         VSS.TRANSFORMERS'ELAB_SPEC;
      end if;
      E568 := E568 + 1;
      E541 := E541 + 1;
      if E523 = 0 then
         VSS.IMPLEMENTATION.STRINGS'ELAB_BODY;
      end if;
      E523 := E523 + 1;
      E570 := E570 + 1;
      E575 := E575 + 1;
      E543 := E543 + 1;
      E532 := E532 + 1;
      E549 := E549 + 1;
      E560 := E560 + 1;
      E563 := E563 + 1;
      E567 := E567 + 1;
      E245 := E245 + 1;
      E254 := E254 + 1;
      E251 := E251 + 1;
      if E249 = 0 then
         Adasat.Formulas'Elab_Spec;
      end if;
      E249 := E249 + 1;
      if E252 = 0 then
         Adasat.Internals'Elab_Spec;
      end if;
      E252 := E252 + 1;
      if E247 = 0 then
         Adasat.Builders'Elab_Spec;
      end if;
      if E247 = 0 then
         Adasat.Builders'Elab_Body;
      end if;
      E247 := E247 + 1;
      E256 := E256 + 1;
      E266 := E266 + 1;
      if E477 = 0 then
         GNATCOLL.LOCKS'ELAB_SPEC;
      end if;
      E477 := E477 + 1;
      if E330 = 0 then
         GNATCOLL.MEMORY'ELAB_BODY;
      end if;
      E330 := E330 + 1;
      if E359 = 0 then
         GNATCOLL.OS'ELAB_SPEC;
      end if;
      E359 := E359 + 1;
      E272 := E272 + 1;
      if E270 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E270 := E270 + 1;
      E358 := E358 + 1;
      E471 := E471 + 1;
      E466 := E466 + 1;
      E268 := E268 + 1;
      if E264 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E264 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E264 := E264 + 1;
      if E345 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E347 := E347 + 1;
      E345 := E345 + 1;
      if E464 = 0 then
         GNATCOLL.BUFFER'ELAB_SPEC;
      end if;
      if E464 = 0 then
         GNATCOLL.BUFFER'ELAB_BODY;
      end if;
      E464 := E464 + 1;
      if E448 = 0 then
         GNATCOLL.JSON'ELAB_SPEC;
      end if;
      E450 := E450 + 1;
      if E448 = 0 then
         GNATCOLL.JSON'ELAB_BODY;
      end if;
      E448 := E448 + 1;
      if E350 = 0 then
         GNATCOLL.TEMPLATES'ELAB_SPEC;
      end if;
      E350 := E350 + 1;
      if E352 = 0 then
         GNATCOLL.TERMINAL'ELAB_SPEC;
      end if;
      if E352 = 0 then
         GNATCOLL.TERMINAL'ELAB_BODY;
      end if;
      E352 := E352 + 1;
      E354 := E354 + 1;
      if E376 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E376 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E376 := E376 + 1;
      if E394 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E394 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E394 := E394 + 1;
      if E383 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E383 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E383 := E383 + 1;
      if E397 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E397 := E397 + 1;
      if E401 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E401 := E401 + 1;
      if E379 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E396 := E396 + 1;
      E399 := E399 + 1;
      if E379 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E379 := E379 + 1;
      if E368 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E368 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E368 := E368 + 1;
      if E475 = 0 then
         GNATCOLL.OPT_PARSE'ELAB_SPEC;
      end if;
      if E475 = 0 then
         GNATCOLL.OPT_PARSE'ELAB_BODY;
      end if;
      E475 := E475 + 1;
      if E301 = 0 then
         GNATCOLL.TRACES'ELAB_SPEC;
      end if;
      if E301 = 0 then
         GNATCOLL.TRACES'ELAB_BODY;
      end if;
      E301 := E301 + 1;
      if E429 = 0 then
         GNATCOLL.ICONV'ELAB_SPEC;
      end if;
      if E429 = 0 then
         GNATCOLL.ICONV'ELAB_BODY;
      end if;
      E429 := E429 + 1;
      if E015 = 0 then
         Langkit_Support.Adalog'Elab_Spec;
      end if;
      E015 := E015 + 1;
      E002 := E002 + 1;
      E006 := E006 + 1;
      E017 := E017 + 1;
      E019 := E019 + 1;
      E044 := E044 + 1;
      E046 := E046 + 1;
      E056 := E056 + 1;
      E065 := E065 + 1;
      E069 := E069 + 1;
      if E077 = 0 then
         Langkit_Support.Text'Elab_Spec;
      end if;
      E077 := E077 + 1;
      if E063 = 0 then
         Langkit_Support.Names'Elab_Spec;
      end if;
      E063 := E063 + 1;
      E061 := E061 + 1;
      E071 := E071 + 1;
      if E029 = 0 then
         Langkit_Support.Diagnostics'Elab_Spec;
      end if;
      E029 := E029 + 1;
      if E027 = 0 then
         Langkit_Support.Diagnostics.Output'Elab_Spec;
      end if;
      if E027 = 0 then
         Langkit_Support.Diagnostics.Output'Elab_Body;
      end if;
      E027 := E027 + 1;
      if E032 = 0 then
         Langkit_Support.File_Readers'Elab_Spec;
      end if;
      E032 := E032 + 1;
      E084 := E084 + 1;
      E014 := E014 + 1;
      E010 := E010 + 1;
      E012 := E012 + 1;
      E004 := E004 + 1;
      if E008 = 0 then
         Langkit_Support.Adalog.Main_Support'Elab_Spec;
      end if;
      E008 := E008 + 1;
      E025 := E025 + 1;
      E042 := E042 + 1;
      if E021 = 0 then
         Langkit_Support.Bump_Ptr'Elab_Spec;
      end if;
      E021 := E021 + 1;
      E023 := E023 + 1;
      if E075 = 0 then
         Langkit_Support.Symbols'Elab_Spec;
      end if;
      E075 := E075 + 1;
      if E057 = 0 then
         Langkit_Support.Lexical_Envs'Elab_Spec;
      end if;
      E057 := E057 + 1;
      E059 := E059 + 1;
      E073 := E073 + 1;
      if E079 = 0 then
         Langkit_Support.Token_Data_Handlers'Elab_Spec;
      end if;
      E079 := E079 + 1;
      if E040 = 0 then
         Langkit_Support.Generic_Api'Elab_Spec;
      end if;
      if E048 = 0 then
         Langkit_Support.Internal.Analysis'Elab_Spec;
      end if;
      if E034 = 0 then
         Langkit_Support.Generic_Api.Analysis'Elab_Spec;
      end if;
      if E036 = 0 then
         Langkit_Support.Generic_Api.Introspection'Elab_Spec;
      end if;
      if E052 = 0 then
         Langkit_Support.Internal.Introspection'Elab_Spec;
      end if;
      if E053 = 0 then
         Langkit_Support.Internal.Unparsing'Elab_Spec;
      end if;
      E053 := E053 + 1;
      E040 := E040 + 1;
      if E034 = 0 then
         Langkit_Support.Generic_Api.Analysis'Elab_Body;
      end if;
      E034 := E034 + 1;
      if E036 = 0 then
         Langkit_Support.Generic_Api.Introspection'Elab_Body;
      end if;
      E036 := E036 + 1;
      E048 := E048 + 1;
      if E052 = 0 then
         Langkit_Support.Internal.Introspection'Elab_Body;
      end if;
      E052 := E052 + 1;
      E081 := E081 + 1;
      if E506 = 0 then
         Prettier_Ada'Elab_Spec;
      end if;
      E506 := E506 + 1;
      if E508 = 0 then
         Prettier_Ada.Documents'Elab_Spec;
      end if;
      if E516 = 0 then
         Prettier_Ada.Document_Vectors'Elab_Spec;
      end if;
      E516 := E516 + 1;
      if E514 = 0 then
         Prettier_Ada.Document_Vector_Vectors'Elab_Spec;
      end if;
      E514 := E514 + 1;
      if E510 = 0 then
         Prettier_Ada.Documents.Implementation'Elab_Spec;
      end if;
      E508 := E508 + 1;
      if E512 = 0 then
         Prettier_Ada.Documents.Builders'Elab_Spec;
      end if;
      E512 := E512 + 1;
      if E510 = 0 then
         Prettier_Ada.Documents.Implementation'Elab_Body;
      end if;
      E510 := E510 + 1;
      E609 := E609 + 1;
      if E038 = 0 then
         Langkit_Support.Generic_Api.Unparsing'Elab_Spec;
      end if;
      if E067 = 0 then
         Langkit_Support.Prettier_Utils'Elab_Spec;
      end if;
      if E067 = 0 then
         Langkit_Support.Prettier_Utils'Elab_Body;
      end if;
      E067 := E067 + 1;
      if E038 = 0 then
         Langkit_Support.Generic_Api.Unparsing'Elab_Body;
      end if;
      E038 := E038 + 1;
   end langkit_supportinit;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-errors.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-adalog.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-adalog-debug.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-adalog-logic_var.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-array_utils.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-boxes.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-hashes.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-images.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-iterators.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-packrat.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-relative_get.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-text.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-names.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-names-maps.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-slocs.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-diagnostics.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-diagnostics-output.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-file_readers.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-types.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-vectors.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-adalog-solver_interface.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-adalog-solver-diagnostics.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-adalog-solver.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-adalog-generic_main_support.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-adalog-main_support.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-cheap_sets.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-generic_bump_ptr.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-bump_ptr.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-bump_ptr_vectors.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-symbols.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-lexical_envs.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-lexical_envs_impl.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-symbols-precomputed.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-token_data_handlers.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-internal.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-internal-conversions.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-internal-unparsing.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-internal-descriptor.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-generic_api.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-generic_api-analysis.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-generic_api-introspection.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-internal-analysis.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-internal-introspection.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-tree_traversal_iterator.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-prettier_utils.o
   --   /builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/langkit_support-generic_api-unparsing.o
   --   -L/builddir/build/BUILD/langkit-25.0.0-build/langkit-25.0.0/langkit/support/obj/dev/
   --   -L/usr/lib64/vss-text/
   --   -L/usr/lib64/vss-gnat/
   --   -L/usr/lib64/prettier-ada/
   --   -L/usr/lib64/gnatcoll-iconv/
   --   -L/usr/lib64/gnatcoll-gmp/
   --   -L/usr/lib64/gnatcoll-minimal/
   --   -L/usr/lib64/gnatcoll-core/
   --   -L/usr/lib64/adasat/
   --   -L/usr/lib/gcc/x86_64-redhat-linux/14/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lrt
   --   -lpthread
   --   -ldl
--  END Object file/option list   

end langkit_supportmain;
