pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package langkit_supportmain is

   procedure langkit_supportinit;
   pragma Export (C, langkit_supportinit, "langkit_supportinit");
   pragma Linker_Constructor (langkit_supportinit);

   procedure langkit_supportfinal;
   pragma Export (C, langkit_supportfinal, "langkit_supportfinal");
   pragma Linker_Destructor (langkit_supportfinal);

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#39820bd4#;
   pragma Export (C, u00001, "langkit_support__adalog__debugB");
   u00002 : constant Version_32 := 16#577331bc#;
   pragma Export (C, u00002, "langkit_support__adalog__debugS");
   u00003 : constant Version_32 := 16#c6cb3717#;
   pragma Export (C, u00003, "langkit_support__adalog__generic_main_supportB");
   u00004 : constant Version_32 := 16#7add73ae#;
   pragma Export (C, u00004, "langkit_support__adalog__generic_main_supportS");
   u00005 : constant Version_32 := 16#a069c901#;
   pragma Export (C, u00005, "langkit_support__adalog__logic_varB");
   u00006 : constant Version_32 := 16#8444035d#;
   pragma Export (C, u00006, "langkit_support__adalog__logic_varS");
   u00007 : constant Version_32 := 16#1e6104af#;
   pragma Export (C, u00007, "langkit_support__adalog__main_supportB");
   u00008 : constant Version_32 := 16#5f4763a1#;
   pragma Export (C, u00008, "langkit_support__adalog__main_supportS");
   u00009 : constant Version_32 := 16#b1d2509c#;
   pragma Export (C, u00009, "langkit_support__adalog__solver__diagnosticsB");
   u00010 : constant Version_32 := 16#e79bc9f7#;
   pragma Export (C, u00010, "langkit_support__adalog__solver__diagnosticsS");
   u00011 : constant Version_32 := 16#74e57f46#;
   pragma Export (C, u00011, "langkit_support__adalog__solverB");
   u00012 : constant Version_32 := 16#ab6a8823#;
   pragma Export (C, u00012, "langkit_support__adalog__solverS");
   u00013 : constant Version_32 := 16#cb86ec8a#;
   pragma Export (C, u00013, "langkit_support__adalog__solver_interfaceB");
   u00014 : constant Version_32 := 16#61f56bdb#;
   pragma Export (C, u00014, "langkit_support__adalog__solver_interfaceS");
   u00015 : constant Version_32 := 16#07fe726e#;
   pragma Export (C, u00015, "langkit_support__adalogS");
   u00016 : constant Version_32 := 16#a11eb54d#;
   pragma Export (C, u00016, "langkit_support__array_utilsB");
   u00017 : constant Version_32 := 16#f3d0463b#;
   pragma Export (C, u00017, "langkit_support__array_utilsS");
   u00018 : constant Version_32 := 16#149bb95c#;
   pragma Export (C, u00018, "langkit_support__boxesB");
   u00019 : constant Version_32 := 16#a741d012#;
   pragma Export (C, u00019, "langkit_support__boxesS");
   u00020 : constant Version_32 := 16#370ac9db#;
   pragma Export (C, u00020, "langkit_support__bump_ptrB");
   u00021 : constant Version_32 := 16#65652129#;
   pragma Export (C, u00021, "langkit_support__bump_ptrS");
   u00022 : constant Version_32 := 16#b5bc4970#;
   pragma Export (C, u00022, "langkit_support__bump_ptr_vectorsB");
   u00023 : constant Version_32 := 16#f21d0cb1#;
   pragma Export (C, u00023, "langkit_support__bump_ptr_vectorsS");
   u00024 : constant Version_32 := 16#21a3a64c#;
   pragma Export (C, u00024, "langkit_support__cheap_setsB");
   u00025 : constant Version_32 := 16#de8818f4#;
   pragma Export (C, u00025, "langkit_support__cheap_setsS");
   u00026 : constant Version_32 := 16#717f3314#;
   pragma Export (C, u00026, "langkit_support__diagnostics__outputB");
   u00027 : constant Version_32 := 16#3a3a2930#;
   pragma Export (C, u00027, "langkit_support__diagnostics__outputS");
   u00028 : constant Version_32 := 16#b9534a33#;
   pragma Export (C, u00028, "langkit_support__diagnosticsB");
   u00029 : constant Version_32 := 16#ac262e1f#;
   pragma Export (C, u00029, "langkit_support__diagnosticsS");
   u00030 : constant Version_32 := 16#ffdb8d40#;
   pragma Export (C, u00030, "langkit_support__errorsS");
   u00031 : constant Version_32 := 16#bf6d1f60#;
   pragma Export (C, u00031, "langkit_support__file_readersB");
   u00032 : constant Version_32 := 16#3edd6bf2#;
   pragma Export (C, u00032, "langkit_support__file_readersS");
   u00033 : constant Version_32 := 16#3ea528c8#;
   pragma Export (C, u00033, "langkit_support__generic_api__analysisB");
   u00034 : constant Version_32 := 16#8c68250e#;
   pragma Export (C, u00034, "langkit_support__generic_api__analysisS");
   u00035 : constant Version_32 := 16#50c0c1f9#;
   pragma Export (C, u00035, "langkit_support__generic_api__introspectionB");
   u00036 : constant Version_32 := 16#d1740857#;
   pragma Export (C, u00036, "langkit_support__generic_api__introspectionS");
   u00037 : constant Version_32 := 16#65c4db39#;
   pragma Export (C, u00037, "langkit_support__generic_api__unparsingB");
   u00038 : constant Version_32 := 16#ff603599#;
   pragma Export (C, u00038, "langkit_support__generic_api__unparsingS");
   u00039 : constant Version_32 := 16#560867dc#;
   pragma Export (C, u00039, "langkit_support__generic_apiB");
   u00040 : constant Version_32 := 16#a9411c28#;
   pragma Export (C, u00040, "langkit_support__generic_apiS");
   u00041 : constant Version_32 := 16#dc544a2c#;
   pragma Export (C, u00041, "langkit_support__generic_bump_ptrB");
   u00042 : constant Version_32 := 16#73bbe14f#;
   pragma Export (C, u00042, "langkit_support__generic_bump_ptrS");
   u00043 : constant Version_32 := 16#e24757af#;
   pragma Export (C, u00043, "langkit_support__hashesB");
   u00044 : constant Version_32 := 16#353b7c43#;
   pragma Export (C, u00044, "langkit_support__hashesS");
   u00045 : constant Version_32 := 16#d29647e5#;
   pragma Export (C, u00045, "langkit_support__imagesB");
   u00046 : constant Version_32 := 16#ece27e84#;
   pragma Export (C, u00046, "langkit_support__imagesS");
   u00047 : constant Version_32 := 16#291ab431#;
   pragma Export (C, u00047, "langkit_support__internal__analysisB");
   u00048 : constant Version_32 := 16#8c9e674d#;
   pragma Export (C, u00048, "langkit_support__internal__analysisS");
   u00049 : constant Version_32 := 16#ff10f150#;
   pragma Export (C, u00049, "langkit_support__internal__conversionsS");
   u00050 : constant Version_32 := 16#7e87a35d#;
   pragma Export (C, u00050, "langkit_support__internal__descriptorS");
   u00051 : constant Version_32 := 16#70299548#;
   pragma Export (C, u00051, "langkit_support__internal__introspectionB");
   u00052 : constant Version_32 := 16#8d30502a#;
   pragma Export (C, u00052, "langkit_support__internal__introspectionS");
   u00053 : constant Version_32 := 16#3a3dbecb#;
   pragma Export (C, u00053, "langkit_support__internal__unparsingS");
   u00054 : constant Version_32 := 16#182c9206#;
   pragma Export (C, u00054, "langkit_support__internalS");
   u00055 : constant Version_32 := 16#f8e452f2#;
   pragma Export (C, u00055, "langkit_support__iteratorsB");
   u00056 : constant Version_32 := 16#5557ee41#;
   pragma Export (C, u00056, "langkit_support__iteratorsS");
   u00057 : constant Version_32 := 16#23965983#;
   pragma Export (C, u00057, "langkit_support__lexical_envsS");
   u00058 : constant Version_32 := 16#64536651#;
   pragma Export (C, u00058, "langkit_support__lexical_envs_implB");
   u00059 : constant Version_32 := 16#21cbee1e#;
   pragma Export (C, u00059, "langkit_support__lexical_envs_implS");
   u00060 : constant Version_32 := 16#4e5f7be4#;
   pragma Export (C, u00060, "langkit_support__names__mapsB");
   u00061 : constant Version_32 := 16#2be1b8f7#;
   pragma Export (C, u00061, "langkit_support__names__mapsS");
   u00062 : constant Version_32 := 16#a208a8fd#;
   pragma Export (C, u00062, "langkit_support__namesB");
   u00063 : constant Version_32 := 16#78dab25c#;
   pragma Export (C, u00063, "langkit_support__namesS");
   u00064 : constant Version_32 := 16#a40bf957#;
   pragma Export (C, u00064, "langkit_support__packratB");
   u00065 : constant Version_32 := 16#e8539af8#;
   pragma Export (C, u00065, "langkit_support__packratS");
   u00066 : constant Version_32 := 16#6e256bbe#;
   pragma Export (C, u00066, "langkit_support__prettier_utilsB");
   u00067 : constant Version_32 := 16#55f3d834#;
   pragma Export (C, u00067, "langkit_support__prettier_utilsS");
   u00068 : constant Version_32 := 16#36d83113#;
   pragma Export (C, u00068, "langkit_support__relative_getB");
   u00069 : constant Version_32 := 16#fdc5e6fb#;
   pragma Export (C, u00069, "langkit_support__relative_getS");
   u00070 : constant Version_32 := 16#56c23da9#;
   pragma Export (C, u00070, "langkit_support__slocsB");
   u00071 : constant Version_32 := 16#42f13478#;
   pragma Export (C, u00071, "langkit_support__slocsS");
   u00072 : constant Version_32 := 16#556e1957#;
   pragma Export (C, u00072, "langkit_support__symbols__precomputedB");
   u00073 : constant Version_32 := 16#abcddb65#;
   pragma Export (C, u00073, "langkit_support__symbols__precomputedS");
   u00074 : constant Version_32 := 16#490e99f4#;
   pragma Export (C, u00074, "langkit_support__symbolsB");
   u00075 : constant Version_32 := 16#eb8d70a3#;
   pragma Export (C, u00075, "langkit_support__symbolsS");
   u00076 : constant Version_32 := 16#892afb73#;
   pragma Export (C, u00076, "langkit_support__textB");
   u00077 : constant Version_32 := 16#ddcd2807#;
   pragma Export (C, u00077, "langkit_support__textS");
   u00078 : constant Version_32 := 16#e3124af6#;
   pragma Export (C, u00078, "langkit_support__token_data_handlersB");
   u00079 : constant Version_32 := 16#33d38508#;
   pragma Export (C, u00079, "langkit_support__token_data_handlersS");
   u00080 : constant Version_32 := 16#0960169b#;
   pragma Export (C, u00080, "langkit_support__tree_traversal_iteratorB");
   u00081 : constant Version_32 := 16#b576ece1#;
   pragma Export (C, u00081, "langkit_support__tree_traversal_iteratorS");
   u00082 : constant Version_32 := 16#9c1a5b77#;
   pragma Export (C, u00082, "langkit_support__typesS");
   u00083 : constant Version_32 := 16#4062ee93#;
   pragma Export (C, u00083, "langkit_support__vectorsB");
   u00084 : constant Version_32 := 16#ebb9e748#;
   pragma Export (C, u00084, "langkit_support__vectorsS");
   u00085 : constant Version_32 := 16#274a0117#;
   pragma Export (C, u00085, "langkit_supportS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  ada.characters.wide_wide_latin_1%s
   --  ada.wide_wide_characters%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.atomic_operations%s
   --  system.float_control%s
   --  system.float_control%b
   --  system.img_char%s
   --  system.img_char%b
   --  system.img_wchar%s
   --  system.img_wchar%b
   --  system.io%s
   --  system.io%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.os_primitives%s
   --  system.os_primitives%b
   --  system.powten_lflt%s
   --  system.restrictions%s
   --  system.restrictions%b
   --  system.spark%s
   --  system.spark.cut_operations%s
   --  system.spark.cut_operations%b
   --  system.storage_elements%s
   --  system.return_stack%s
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.utf_32%s
   --  system.utf_32%b
   --  ada.wide_wide_characters.unicode%s
   --  ada.wide_wide_characters.unicode%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_32%s
   --  system.compare_array_unsigned_32%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.concat_3%s
   --  system.concat_3%b
   --  system.concat_4%s
   --  system.concat_4%b
   --  system.concat_5%s
   --  system.concat_5%b
   --  system.concat_6%s
   --  system.concat_6%b
   --  system.concat_7%s
   --  system.concat_7%b
   --  system.exn_lflt%s
   --  system.traceback%s
   --  system.traceback%b
   --  ada.characters.handling%s
   --  system.atomic_operations.test_and_set%s
   --  system.case_util%s
   --  system.os_lib%s
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_llu%s
   --  system.val_lli%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  system.bounded_strings%s
   --  system.bounded_strings%b
   --  system.case_util%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.containers%s
   --  ada.io_exceptions%s
   --  ada.numerics%s
   --  ada.numerics.big_numbers%s
   --  ada.strings%s
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.maps.constants%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  system.atomic_primitives%s
   --  system.atomic_primitives%b
   --  system.exceptions%s
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  ada.characters.handling%b
   --  system.atomic_operations.test_and_set%b
   --  system.exception_traces%s
   --  system.exception_traces%b
   --  system.img_int%s
   --  system.img_uns%s
   --  system.memory%s
   --  system.memory%b
   --  system.mmap%s
   --  system.mmap.os_interface%s
   --  system.mmap%b
   --  system.mmap.unix%s
   --  system.mmap.os_interface%b
   --  system.object_reader%s
   --  system.object_reader%b
   --  system.dwarf_lines%s
   --  system.dwarf_lines%b
   --  system.os_lib%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  ada.assertions%s
   --  ada.assertions%b
   --  ada.characters.conversions%s
   --  ada.characters.conversions%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  ada.containers.prime_numbers%s
   --  ada.containers.prime_numbers%b
   --  ada.exceptions.is_null_occurrence%s
   --  ada.exceptions.is_null_occurrence%b
   --  ada.strings.hash%s
   --  ada.strings.hash%b
   --  ada.strings.hash_case_insensitive%s
   --  ada.strings.hash_case_insensitive%b
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%s
   --  ada.strings.fixed%b
   --  ada.strings.utf_encoding%s
   --  ada.strings.utf_encoding%b
   --  ada.strings.utf_encoding.strings%s
   --  ada.strings.utf_encoding.strings%b
   --  ada.strings.utf_encoding.wide_strings%s
   --  ada.strings.utf_encoding.wide_strings%b
   --  ada.strings.utf_encoding.wide_wide_strings%s
   --  ada.strings.utf_encoding.wide_wide_strings%b
   --  ada.strings.wide_wide_hash%s
   --  ada.strings.wide_wide_hash%b
   --  ada.tags%s
   --  ada.tags%b
   --  ada.strings.text_buffers%s
   --  ada.strings.text_buffers%b
   --  ada.strings.text_buffers.utils%s
   --  ada.strings.text_buffers.utils%b
   --  ada.wide_wide_characters.handling%s
   --  ada.wide_wide_characters.handling%b
   --  gnat%s
   --  gnat.case_util%s
   --  gnat.debug_utilities%s
   --  gnat.debug_utilities%b
   --  gnat.heap_sort%s
   --  gnat.heap_sort%b
   --  gnat.htable%s
   --  gnat.htable%b
   --  gnat.io%s
   --  gnat.io%b
   --  gnat.os_lib%s
   --  gnat.source_info%s
   --  gnat.string_hash%s
   --  gnat.strings%s
   --  interfaces.c.extensions%s
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  ada.environment_variables%s
   --  ada.environment_variables%b
   --  system.arith_32%s
   --  system.arith_32%b
   --  system.arith_64%s
   --  system.arith_64%b
   --  system.atomic_counters%s
   --  system.atomic_counters%b
   --  system.aux_dec%s
   --  system.aux_dec%b
   --  system.fat_flt%s
   --  system.fat_lflt%s
   --  system.fat_llf%s
   --  system.linux%s
   --  system.multiprocessors%s
   --  system.multiprocessors%b
   --  system.os_constants%s
   --  system.os_interface%s
   --  system.os_interface%b
   --  system.put_images%s
   --  system.put_images%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.file_control_block%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.containers.helpers%s
   --  ada.containers.helpers%b
   --  ada.containers.hash_tables%s
   --  ada.containers.red_black_trees%s
   --  system.file_io%s
   --  system.file_io%b
   --  system.stack_usage%s
   --  system.stack_usage%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.storage_pools.subpools%b
   --  system.stream_attributes%s
   --  system.stream_attributes.xdr%s
   --  system.stream_attributes.xdr%b
   --  system.stream_attributes%b
   --  ada.strings.unbounded%s
   --  ada.strings.unbounded%b
   --  ada.strings.unbounded.aux%s
   --  ada.strings.unbounded.aux%b
   --  ada.strings.unbounded.hash%s
   --  ada.strings.unbounded.hash%b
   --  ada.strings.unbounded.vss_aux%s
   --  ada.strings.unbounded.vss_aux%b
   --  ada.strings.wide_wide_maps%s
   --  ada.strings.wide_wide_maps%b
   --  ada.strings.wide_wide_search%s
   --  ada.strings.wide_wide_search%b
   --  ada.strings.wide_wide_fixed%s
   --  ada.strings.wide_wide_fixed%b
   --  ada.strings.wide_wide_unbounded%s
   --  ada.strings.wide_wide_unbounded%b
   --  ada.strings.wide_wide_unbounded.aux%s
   --  ada.strings.wide_wide_unbounded.aux%b
   --  ada.strings.wide_wide_unbounded.vss_aux%s
   --  ada.strings.wide_wide_unbounded.vss_aux%b
   --  ada.strings.wide_wide_unbounded.wide_wide_hash%s
   --  ada.strings.wide_wide_unbounded.wide_wide_hash%b
   --  system.task_info%s
   --  system.task_info%b
   --  system.task_primitives%s
   --  system.interrupt_management%s
   --  system.interrupt_management%b
   --  system.val_enum_8%s
   --  system.val_fixed_64%s
   --  system.val_lflt%s
   --  system.val_uns%s
   --  system.val_int%s
   --  system.regpat%s
   --  system.regpat%b
   --  gnat.regpat%s
   --  system.wch_wts%s
   --  system.wch_wts%b
   --  ada.calendar%s
   --  ada.calendar%b
   --  ada.calendar.conversions%s
   --  ada.calendar.conversions%b
   --  ada.calendar.delays%s
   --  ada.calendar.delays%b
   --  ada.calendar.time_zones%s
   --  ada.calendar.time_zones%b
   --  ada.calendar.formatting%s
   --  ada.calendar.formatting%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  ada.strings.unbounded.text_io%s
   --  ada.strings.unbounded.text_io%b
   --  ada.text_io.unbounded_io%s
   --  gnat.byte_order_mark%s
   --  gnat.byte_order_mark%b
   --  gnat.calendar%s
   --  gnat.calendar%b
   --  gnat.decode_utf8_string%s
   --  gnat.decode_utf8_string%b
   --  gnat.directory_operations%s
   --  gnat.directory_operations%b
   --  gnat.encode_utf8_string%s
   --  gnat.encode_utf8_string%b
   --  gnat.traceback%s
   --  gnat.traceback%b
   --  gnat.traceback.symbolic%s
   --  system.assertions%s
   --  system.assertions%b
   --  system.checked_pools%s
   --  system.exn_int%s
   --  system.exn_lli%s
   --  system.file_attributes%s
   --  system.img_lli%s
   --  system.tasking%s
   --  system.task_primitives.operations%s
   --  system.tasking.debug%s
   --  system.tasking.debug%b
   --  system.task_primitives.operations%b
   --  system.tasking%b
   --  system.img_llli%s
   --  system.img_llu%s
   --  gnat.calendar.time_io%s
   --  gnat.calendar.time_io%b
   --  system.img_util%s
   --  system.img_util%b
   --  system.img_fixed_32%s
   --  gnat.debug_pools%s
   --  gnat.debug_pools%b
   --  system.img_fixed_64%s
   --  system.img_lflt%s
   --  system.pool_global%s
   --  system.pool_global%b
   --  gnat.expect%s
   --  gnat.expect%b
   --  system.random_seed%s
   --  system.random_seed%b
   --  system.random_numbers%s
   --  system.random_numbers%b
   --  system.regexp%s
   --  system.regexp%b
   --  ada.directories%s
   --  ada.directories.hierarchical_file_names%s
   --  ada.directories.validity%s
   --  ada.directories.validity%b
   --  ada.directories%b
   --  ada.directories.hierarchical_file_names%b
   --  system.soft_links.tasking%s
   --  system.soft_links.tasking%b
   --  system.strings.stream_ops%s
   --  system.strings.stream_ops%b
   --  system.tasking.initialization%s
   --  system.tasking.task_attributes%s
   --  system.tasking.task_attributes%b
   --  system.tasking.initialization%b
   --  system.tasking.protected_objects%s
   --  system.tasking.protected_objects%b
   --  system.tasking.protected_objects.entries%s
   --  system.tasking.protected_objects.entries%b
   --  system.tasking.queuing%s
   --  system.tasking.queuing%b
   --  system.tasking.utilities%s
   --  system.tasking.utilities%b
   --  system.tasking.entry_calls%s
   --  system.tasking.rendezvous%s
   --  system.tasking.protected_objects.operations%s
   --  system.tasking.protected_objects.operations%b
   --  system.tasking.entry_calls%b
   --  system.tasking.rendezvous%b
   --  gnat.semaphores%s
   --  gnat.semaphores%b
   --  gnatcoll%s
   --  gnatcoll.gmp%s
   --  gnatcoll.gmp.lib%s
   --  gnatcoll.gmp.integers%s
   --  gnatcoll.gmp.integers%b
   --  gnatcoll.storage_pools%s
   --  langkit_support%s
   --  langkit_support.errors%s
   --  vss%s
   --  vss.implementation%s
   --  vss.implementation.character_codes%s
   --  vss.implementation.fnv_hash%s
   --  vss.implementation.fnv_hash%b
   --  vss.implementation.gcc%s
   --  vss.implementation.ucd_casing%s
   --  vss.implementation.ucd_casing%b
   --  vss.locales%s
   --  vss.locales%b
   --  vss.stream_element_vectors%s
   --  vss.stream_element_vectors%b
   --  vss.unicode%s
   --  vss.implementation.ucd_core%s
   --  vss.implementation.utf8_encoding%s
   --  vss.implementation.utf8_encoding%b
   --  vss.characters%s
   --  vss.implementation.strings%s
   --  vss.implementation.referrers%s
   --  vss.implementation.ucd_casing_utf8%s
   --  vss.implementation.utf8_casing%s
   --  vss.strings%s
   --  vss.implementation.line_iterators%s
   --  vss.implementation.line_terminator%s
   --  vss.implementation.string_vectors%s
   --  vss.implementation.text_handlers%s
   --  vss.implementation.text_handlers%b
   --  vss.implementation.text_handlers.nul%s
   --  vss.implementation.text_handlers.utf8%s
   --  vss.implementation.text_handlers.utf8.dynamic%s
   --  vss.implementation.text_handlers.utf8.static%s
   --  vss.implementation.text_handlers.utf8.static%b
   --  vss.string_vectors%s
   --  vss.string_vectors.internals%s
   --  vss.string_vectors.internals%b
   --  vss.strings.cursors%s
   --  vss.strings.cursors.internals%s
   --  vss.strings.cursors.internals%b
   --  vss.strings.cursors.iterators%s
   --  vss.strings.cursors.iterators.grapheme_clusters%s
   --  vss.strings.cursors.iterators.lines%s
   --  vss.strings.cursors.iterators.words%s
   --  vss.strings.cursors.markers%s
   --  vss.strings.cursors.markers%b
   --  vss.strings.cursors.iterators.characters%s
   --  vss.strings.cursors.iterators.characters%b
   --  vss.strings.cursors.markers.internals%s
   --  vss.strings.cursors.markers.internals%b
   --  vss.strings.internals%s
   --  vss.strings.internals%b
   --  vss.transformers%s
   --  vss.characters%b
   --  vss.implementation.line_iterators%b
   --  vss.implementation.line_terminator%b
   --  vss.implementation.referrers%b
   --  vss.implementation.string_vectors%b
   --  vss.implementation.strings%b
   --  vss.implementation.text_handlers.nul%b
   --  vss.implementation.text_handlers.utf8%b
   --  vss.implementation.text_handlers.utf8.dynamic%b
   --  vss.implementation.utf8_casing%b
   --  vss.string_vectors%b
   --  vss.strings%b
   --  vss.strings.cursors%b
   --  vss.strings.cursors.iterators.grapheme_clusters%b
   --  vss.strings.cursors.iterators.lines%b
   --  vss.strings.cursors.iterators.words%b
   --  vss.characters.latin%s
   --  vss.strings.character_iterators%s
   --  vss.strings.conversions%s
   --  vss.strings.conversions%b
   --  vss.strings.markers%s
   --  vss.strings.utilities%s
   --  vss.strings.utilities%b
   --  adasat%s
   --  adasat%b
   --  adasat.decisions%s
   --  adasat.decisions%b
   --  adasat.vectors%s
   --  adasat.vectors%b
   --  adasat.formulas%s
   --  adasat.formulas%b
   --  adasat.internals%s
   --  adasat.builders%s
   --  adasat.builders%b
   --  adasat.theory%s
   --  adasat.dpll%s
   --  adasat.dpll%b
   --  gnatcoll.atomic%s
   --  gnatcoll.atomic%b
   --  gnatcoll.locks%s
   --  gnatcoll.locks%b
   --  gnatcoll.memory%s
   --  gnatcoll.memory%b
   --  gnatcoll.os%s
   --  gnatcoll.os.libc_constants%s
   --  gnatcoll.storage_pools.headers%s
   --  gnatcoll.storage_pools.headers%b
   --  gnatcoll.refcount%s
   --  gnatcoll.refcount%b
   --  gnatcoll.string_builders%s
   --  gnatcoll.string_builders%b
   --  gnatcoll.os.fs%s
   --  gnatcoll.os.libc%s
   --  gnatcoll.os.fs%b
   --  gnatcoll.os.libc.stat%s
   --  gnatcoll.os.stat%s
   --  gnatcoll.os.stat%b
   --  gnatcoll.strings_impl%s
   --  gnatcoll.strings_impl%b
   --  gnatcoll.strings%s
   --  gnatcoll.strings%b
   --  gnatcoll.mmap%s
   --  gnatcoll.mmap.system%s
   --  gnatcoll.mmap.system%b
   --  gnatcoll.mmap%b
   --  gnatcoll.buffer%s
   --  gnatcoll.buffer%b
   --  gnatcoll.json%s
   --  gnatcoll.json.utility%s
   --  gnatcoll.json.utility%b
   --  gnatcoll.json%b
   --  gnatcoll.templates%s
   --  gnatcoll.templates%b
   --  gnatcoll.terminal%s
   --  gnatcoll.terminal%b
   --  gnatcoll.utils%s
   --  gnatcoll.utils%b
   --  gnatcoll.vfs_types%s
   --  gnatcoll.io%s
   --  gnatcoll.io%b
   --  gnatcoll.path%s
   --  gnatcoll.path%b
   --  gnatcoll.io.native%s
   --  gnatcoll.io.native%b
   --  gnatcoll.remote%s
   --  gnatcoll.remote.db%s
   --  gnatcoll.remote.db%b
   --  gnatcoll.io.remote%s
   --  gnatcoll.io.remote.unix%s
   --  gnatcoll.io.remote.unix%b
   --  gnatcoll.io.remote.windows%s
   --  gnatcoll.io.remote.windows%b
   --  gnatcoll.io.remote%b
   --  gnatcoll.vfs%s
   --  gnatcoll.vfs%b
   --  gnatcoll.opt_parse%s
   --  gnatcoll.opt_parse%b
   --  gnatcoll.traces%s
   --  gnatcoll.traces%b
   --  gnatcoll.iconv%s
   --  gnatcoll.iconv%b
   --  langkit_support.adalog%s
   --  langkit_support.adalog.debug%s
   --  langkit_support.adalog.debug%b
   --  langkit_support.adalog.logic_var%s
   --  langkit_support.adalog.logic_var%b
   --  langkit_support.array_utils%s
   --  langkit_support.array_utils%b
   --  langkit_support.boxes%s
   --  langkit_support.boxes%b
   --  langkit_support.hashes%s
   --  langkit_support.hashes%b
   --  langkit_support.images%s
   --  langkit_support.images%b
   --  langkit_support.iterators%s
   --  langkit_support.iterators%b
   --  langkit_support.packrat%s
   --  langkit_support.packrat%b
   --  langkit_support.relative_get%s
   --  langkit_support.relative_get%b
   --  langkit_support.text%s
   --  langkit_support.text%b
   --  langkit_support.names%s
   --  langkit_support.names%b
   --  langkit_support.names.maps%s
   --  langkit_support.names.maps%b
   --  langkit_support.slocs%s
   --  langkit_support.slocs%b
   --  langkit_support.diagnostics%s
   --  langkit_support.diagnostics%b
   --  langkit_support.diagnostics.output%s
   --  langkit_support.diagnostics.output%b
   --  langkit_support.file_readers%s
   --  langkit_support.file_readers%b
   --  langkit_support.types%s
   --  langkit_support.vectors%s
   --  langkit_support.vectors%b
   --  langkit_support.adalog.solver_interface%s
   --  langkit_support.adalog.solver_interface%b
   --  langkit_support.adalog.solver%s
   --  langkit_support.adalog.solver.diagnostics%s
   --  langkit_support.adalog.solver.diagnostics%b
   --  langkit_support.adalog.solver%b
   --  langkit_support.adalog.generic_main_support%s
   --  langkit_support.adalog.generic_main_support%b
   --  langkit_support.adalog.main_support%s
   --  langkit_support.adalog.main_support%b
   --  langkit_support.cheap_sets%s
   --  langkit_support.cheap_sets%b
   --  langkit_support.generic_bump_ptr%s
   --  langkit_support.generic_bump_ptr%b
   --  langkit_support.bump_ptr%s
   --  langkit_support.bump_ptr%b
   --  langkit_support.bump_ptr_vectors%s
   --  langkit_support.bump_ptr_vectors%b
   --  langkit_support.symbols%s
   --  langkit_support.symbols%b
   --  langkit_support.lexical_envs%s
   --  langkit_support.lexical_envs_impl%s
   --  langkit_support.lexical_envs_impl%b
   --  langkit_support.symbols.precomputed%s
   --  langkit_support.symbols.precomputed%b
   --  langkit_support.token_data_handlers%s
   --  langkit_support.token_data_handlers%b
   --  langkit_support.generic_api%s
   --  langkit_support.internal%s
   --  langkit_support.internal.analysis%s
   --  langkit_support.generic_api.analysis%s
   --  langkit_support.generic_api.introspection%s
   --  langkit_support.internal.conversions%s
   --  langkit_support.internal.introspection%s
   --  langkit_support.internal.unparsing%s
   --  langkit_support.internal.descriptor%s
   --  langkit_support.generic_api%b
   --  langkit_support.generic_api.analysis%b
   --  langkit_support.generic_api.introspection%b
   --  langkit_support.internal.analysis%b
   --  langkit_support.internal.introspection%b
   --  langkit_support.tree_traversal_iterator%s
   --  langkit_support.tree_traversal_iterator%b
   --  prettier_ada%s
   --  prettier_ada.optionals%s
   --  prettier_ada.documents%s
   --  prettier_ada.document_vectors%s
   --  prettier_ada.document_vectors%b
   --  prettier_ada.document_vector_vectors%s
   --  prettier_ada.document_vector_vectors%b
   --  prettier_ada.documents.implementation%s
   --  prettier_ada.documents%b
   --  prettier_ada.documents.builders%s
   --  prettier_ada.documents.builders%b
   --  prettier_ada.documents.implementation%b
   --  prettier_ada.documents.json%s
   --  prettier_ada.documents.json%b
   --  langkit_support.generic_api.unparsing%s
   --  langkit_support.prettier_utils%s
   --  langkit_support.prettier_utils%b
   --  langkit_support.generic_api.unparsing%b
   --  END ELABORATION ORDER

end langkit_supportmain;
